CommunicationReceiver
Endpoints for CommunicationReceiver
Endpoints for CommunicationReceiver
GET/api/v1/communication-receiver
Authentication: Bearer token (JWT)
idnumberRequired when parent is presentchannelCOMMUNICATION_CHANNELRequired when parent is present"sms", "email"namestringRequired when parent is presentemailstringRequired when parent is presentpurposeINTERNAL_COMMUNICATION_PURPOSERequired when parent is present"systemImportCompletion"[
{
"id": 0,
"channel": "sms",
"name": "string",
"email": "string",
"purpose": "systemImportCompletion"
}
]unauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/communication-receiver \
--header 'Authorization: Bearer <token>'POST/api/v1/communication-receiver
Authentication: Bearer token (JWT)
application/jsonchannelstringRequired"sms", "email"namestringRequiredemailstring (email)RequiredPATCH/api/v1/communication-receiver/{id}
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonnamestringRequiredemailfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}purposeINTERNAL_COMMUNICATION_PURPOSERequired"systemImportCompletion"{
"channel": "sms",
"name": "string",
"email": "user@example.com",
"purpose": "systemImportCompletion"
}idnumberRequiredchannelCOMMUNICATION_CHANNELRequired"sms", "email"namestringRequiredemailstringRequiredpurposeINTERNAL_COMMUNICATION_PURPOSERequired"systemImportCompletion"{
"id": 0,
"channel": "sms",
"name": "string",
"email": "string",
"purpose": "systemImportCompletion"
}purposeAlreadyExists
Same fields as Get all communication receivers (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
curlcurl https://api.subrite.no/api/v1/communication-receiver \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"channel": "sms",
"name": "string",
"email": "user@example.com",
"purpose": "systemImportCompletion"
}'string (email){
"name": "string",
"email": "user@example.com"
}Same fields as Create a communication sender (201).
{
"id": 0,
"channel": "sms",
"name": "string",
"email": "string",
"purpose": "systemImportCompletion"
}communicationReceiverNotFound
Same fields as Get all communication receivers (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
curlcurl 'https://api.subrite.no/api/v1/communication-receiver/{id}' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"email": "user@example.com"
}'